import { CNode, CssRenderInstance, CRenderProps, MountId } from './types';
declare function getCount(el: HTMLStyleElement): number | null;
declare function setCount(el: HTMLStyleElement, count: number): void;
export { getCount, setCount };
export declare function unmount(intance: CssRenderInstance, node: CNode, id: MountId, count: boolean): void;
export declare function mount<T extends CRenderProps>(instance: CssRenderInstance, node: CNode, id: MountId, props: T, count: boolean): HTMLStyleElement;
